Bug 535417 - (RHQ-2114) RFE: Allow partial package names for component class names
RFE: Allow partial package names for component class names
Status: NEW
Product: RHQ Project
Classification: Other
Component: Plugin Container (Show other bugs)
unspecified
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Heiko W. Rupp
http://jira.rhq-project.org/browse/RH...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-25 09:56 EDT by Heiko W. Rupp
Modified: 2014-05-05 16:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2009-05-25 09:56:00 EDT
Currently we prepend a plugin-wide package name to a component class name from the DeploymentDescriptor when the classname is without a package.
For more complex plugins it would be good to allow partial package/class names to be used like:

<service name="Service Binding Manager"
                 class="serviceBinding.ManagerComponent"

This change would mean modifying PluginMetadataParser.getFullyQualifiedComponentClassName()

Currently this yields:

Caused by: java.lang.ClassNotFoundException: serviceBinding.ManagerComponent
        at java.net.URLClassLoader$1.run(URLClassLoader.java:200)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.net.URLClassLoader.findClass(URLClassLoader.java:188)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:307)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:252)
        at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:320)
        at java.lang.Class.forName0(Native Method)
        at java.lang.Class.forName(Class.java:247)
        at org.rhq.core.pc.plugin.PluginComponentFactory.instantiateClass(PluginComponentFactory.java:125)
        ... 14 more
Comment 1 Red Hat Bugzilla 2009-11-10 15:58:06 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2114

Note You need to log in before you can comment on or make changes to this bug.